function g = genDir(g)

    % Erzeuge Dirichlet-Randbedingungen
    g.dirMarker(1, :)   = 1;
    g.dirMarker(end, :) = 1;
    g.dirMarker(:, 1)   = 1;
    g.dirMarker(:, end) = 1;
    for rowCnt = 1 : g.yCnt
        g.dirValue(rowCnt, 1)   = g.x(1)^3 * g.y(rowCnt)^6 + 0.13e2 * cos(g.x(1)^2 - g.y(rowCnt));
        g.dirValue(rowCnt, end) = g.x(end)^3 * g.y(rowCnt)^6 + 0.13e2 * cos(g.x(end)^2 - g.y(rowCnt));
    end        
    for colCnt = 1 : g.xCnt
        g.dirValue(1, colCnt)   = g.x(colCnt)^3 * g.y(1)^6 + 0.13e2 * cos(g.x(colCnt)^2 - g.y(1));
        g.dirValue(end, colCnt) = g.x(colCnt)^3 * g.y(end)^6 + 0.13e2 * cos(g.x(colCnt)^2 - g.y(end));
    end

end